%define up_name		Aegisub

Name:		aegisub
Version:	3.4.2
Release:	%mkrel 1
Summary:	Advanced Subtitle Editor
Group:		Video/Editors and Converters
License:	BSD
URL:		https://aegisub.org/
Source0:	https://github.com/TypesettingTools/Aegisub/releases/download/v%{version}/%{up_name}-%{version}.tar.xz
#
BuildRequires:	meson
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(ffms2)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(icu-io)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(uchardet)
BuildRequires:	boost-devel
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	luajit >= 2.1.0-0.beta3.3
BuildRequires:	wxgtk-devel

%description
Aegisub is an advanced subtitle editor that assists in the creation of
subtitles, translations, and complex overlays using audio or video. Developed
by enthusiasts it builds on work-flows created and perfected through
professional, hobby, and everyday use.


%prep
%autosetup -p1 -n %{up_name}-%{version}

sed "/subdir('tests')/d" -i meson.build

%build
%meson -D system_luajit=true \
       -D official_release=true \
       -D default_audio_output=PulseAudio \
       -D credit=%{_vendor} \
       -D enable_update_checker=false

%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc automation/demos/ automation/v4-docs/ README.md
%license LICENCE
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/org.aegisub.Aegisub.desktop
%{_iconsdir}/hicolor/*/apps/org.aegisub.Aegisub.png
%{_iconsdir}/hicolor/scalable/apps/org.aegisub.Aegisub.svg
%{_metainfodir}/org.aegisub.Aegisub.metainfo.xml


%changelog
* Mon Feb 10 2025 daviddavid <daviddavid> 3.4.2-1.mga10
+ Revision: 2146619
- new version: 3.4.2

* Sun Feb 09 2025 wally <wally> 3.4.1-3.mga10
+ Revision: 2146199
- rebuild for boost 1.87.0

* Sun Jan 12 2025 wally <wally> 3.4.1-2.mga10
+ Revision: 2138341
- rebuild for icu 76.1

* Fri Jan 03 2025 daviddavid <daviddavid> 3.4.1-1.mga10
+ Revision: 2135273
- new version: 3.4.1

* Thu Dec 26 2024 daviddavid <daviddavid> 3.4.0-1.mga10
+ Revision: 2130206
- new version: 3.4.0
- switch to meson build system

* Fri Sep 13 2024 wally <wally> 3.3.3-6.mga10
+ Revision: 2095670
- build using C++14
- rebuild for boost 1.86.0

* Wed Jun 19 2024 wally <wally> 3.3.3-5.mga10
+ Revision: 2075314
- rebuild for boost 1.85.0

* Fri Jan 12 2024 wally <wally> 3.3.3-4.mga10
+ Revision: 2030513
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 3.3.3-3.mga10
+ Revision: 1991404
- rebuild for boost 1.83.0

* Sat Jan 07 2023 squidf <squidf> 3.3.3-2.mga9
+ Revision: 1931102
- Mass rebuild for icu 72.1

* Wed Dec 28 2022 daviddavid <daviddavid> 3.3.3-1.mga9
+ Revision: 1927343
- new version: 3.3.3 (wangqr fork)
+ wally <wally>
- add patch to fix deprecated boost headers
- rebuild for boost 1.81.0

* Fri Jul 15 2022 wally <wally> 3.2.2-14.git20191006.24.mga9
+ Revision: 1868978
- rebuild for wxgtk 3.2.0

* Sun Jul 03 2022 wally <wally> 3.2.2-14.git20191006.23.mga9
+ Revision: 1867225
- rebuild for boost 1.79.0

* Sat Jun 18 2022 squidf <squidf> 3.2.2-14.git20191006.22.mga9
+ Revision: 1864838
- rebuild for icu 71.1

* Sun Jun 12 2022 wally <wally> 3.2.2-14.git20191006.21.mga9
+ Revision: 1864083
- rebuild for wxgtk 3.1.7

* Sat Apr 16 2022 wally <wally> 3.2.2-14.git20191006.20.mga9
+ Revision: 1850689
- rebuild for wxgtk 3.1.6
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 wally <wally> 3.2.2-14.git20191006.18.mga9
+ Revision: 1768500
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Tue Jan 04 2022 wally <wally> 3.2.2-14.git20191006.17.mga9
+ Revision: 1766831
- rebuild again for wxgtk 3.1.5 without wxGLCanvas Wayland/EGL backend support

* Mon Jan 03 2022 wally <wally> 3.2.2-14.git20191006.16.mga9
+ Revision: 1766417
- rebuild for wxgtk 3.1.5 with wxGLCanvas Wayland/EGL backend enabled

* Sat Jan 01 2022 wally <wally> 3.2.2-14.git20191006.15.mga9
+ Revision: 1765730
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error

* Sun Dec 19 2021 wally <wally> 3.2.2-14.git20191006.14.mga9
+ Revision: 1762668
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 3.2.2-14.git20191006.13.mga9
+ Revision: 1744629
- rebuild for boost 1.77.0

* Tue Aug 03 2021 luigiwalser <luigiwalser> 3.2.2-14.git20191006.12.mga9
+ Revision: 1738915
- rebuild for icu

* Fri May 14 2021 wally <wally> 3.2.2-14.git20191006.11.mga9
+ Revision: 1722934
- rebuild for boost 1.76.0

* Mon Apr 05 2021 wally <wally> 3.2.2-14.git20191006.10.mga9
+ Revision: 1713516
- add patch to fix deprecated calls to wxSTC (mga#28713)

* Fri Jan 01 2021 wally <wally> 3.2.2-14.git20191006.9.mga8
+ Revision: 1667685
- rebuild for wxgtk pre 3.1.5 snapshot

* Thu Dec 31 2020 wally <wally> 3.2.2-14.git20191006.8.mga8
+ Revision: 1666732
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 3.2.2-14.git20191006.7.mga8
+ Revision: 1661974
- rebuild for boost 1.74.0

* Mon Nov 30 2020 luigiwalser <luigiwalser> 3.2.2-14.git20191006.6.mga8
+ Revision: 1650875
- rebuild for icu

* Sun Aug 16 2020 wally <wally> 3.2.2-14.git20191006.5.mga8
+ Revision: 1614322
- rebuild for new wxgtk 3.1.4

* Wed Jul 01 2020 wally <wally> 3.2.2-14.git20191006.4.mga8
+ Revision: 1601012
- rebuild for icu 67.1

* Sun May 03 2020 wally <wally> 3.2.2-14.git20191006.3.mga8
+ Revision: 1578028
- rebuild for boost 1.73.0

* Sat Apr 04 2020 wally <wally> 3.2.2-14.git20191006.2.mga8
+ Revision: 1564447
- rebuild for new icu 66.1

* Sat Apr 04 2020 wally <wally> 3.2.2-14.git20191006.1.mga8
+ Revision: 1564254
- add patch to fix buidl with make >= 4.3
- rebuild for boost 1.72.0
- replace deprecated %%configure2_5x
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ daviddavid <daviddavid>
- new snapshot: 3.2.2-git20191006
  * commit: 6f546951b4f004da16ce19ba638bf3eedefb9f31

* Tue Nov 12 2019 wally <wally> 3.2.2-14.git20180730.9.mga8
+ Revision: 1459448
- rebuild for wxgtk 3.1.3

* Sat Oct 05 2019 daviddavid <daviddavid> 3.2.2-14.git20180730.8.mga8
+ Revision: 1449471
- rebuild for new icu 65.1

* Mon Jul 08 2019 wally <wally> 3.2.2-14.git20180730.7.mga8
+ Revision: 1419517
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jul 07 2019 wally <wally> 3.2.2-14.git20180730.6.mga8
+ Revision: 1419286
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sat Dec 29 2018 luigiwalser <luigiwalser> 3.2.2-14.git20180730.5.mga7
+ Revision: 1346084
- rebuild for icu

* Fri Nov 23 2018 daviddavid <daviddavid> 3.2.2-14.git20180730.4.mga7
+ Revision: 1333467
- rebuild for new hunspell 1.7.0

* Tue Oct 16 2018 wally <wally> 3.2.2-14.git20180730.3.mga7
+ Revision: 1321005
- rebuild for new boost 1.68.0

* Thu Oct 04 2018 daviddavid <daviddavid> 3.2.2-14.git20180730.2.mga7
+ Revision: 1317753
- Mageia 7 Mass Rebuild

* Wed Aug 22 2018 daviddavid <daviddavid> 3.2.2-14.git20180730.1.mga7
+ Revision: 1253452
- new snapshot: 3.2.2-git20180730
  * commit: 83736b4866ecae9b7c42a2c6cb576e376a8d04e2
- rebuild for new icu

* Fri Jul 13 2018 wally <wally> 3.2.2-14.git20180305.3.mga7
+ Revision: 1243420
- build with system luajit (modified patch from Gentoo)

* Mon Apr 02 2018 daviddavid <daviddavid> 3.2.2-14.git20180305.2.mga7
+ Revision: 1214589
- new snapshot: 3.2.2-git20180305
  * commit: f6a2ac08a63f37c1cb3e7315144411f7d5aa5403
- switch to freetype2

* Fri Dec 29 2017 wally <wally> 3.2.2-14.git20170522.6.mga7
+ Revision: 1186961
- rebuild for new icu

* Mon Dec 25 2017 wally <wally> 3.2.2-14.git20170522.5.mga7
+ Revision: 1184648
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 3.2.2-14.git20170522.4.mga7
+ Revision: 1178109
- rebuild for boost 1.65

* Sat Sep 16 2017 tv <tv> 3.2.2-14.git20170522.3.mga7
+ Revision: 1154669
- rebuild with latest boost

* Sun Aug 06 2017 daviddavid <daviddavid> 3.2.2-14.git20170522.2.mga7
+ Revision: 1137559
- new snapshot: 3.2.2-git20170522
  * commit: 8d3ad9ff68808b14ea0b29f6efffd1ba5089319a
- rebuild against new hunspell 1.6.1

* Sat Jun 03 2017 akien <akien> 3.2.2-14.git20160730.7.mga6
+ Revision: 1106080
- Rebuild for wxgtk 3.0.3.1

* Wed Mar 29 2017 neoclust <neoclust> 3.2.2-14.git20160730.6.mga6
+ Revision: 1095174
- Try to build on armv5

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 3.2.2-14.git20160730.5.mga6
+ Revision: 1093083
- Rebuild for icu-58.2

* Tue Jan 10 2017 luigiwalser <luigiwalser> 3.2.2-14.git20160730.4.mga6
+ Revision: 1080915
- rebuild for libass

* Tue Oct 25 2016 daviddavid <daviddavid> 3.2.2-14.git20160730.3.mga6
+ Revision: 1063489
- new snapshot: 3.2.2-git20160730
  * commit: 10422265311494278928dcd2a7a084e4811bcf0d

* Thu Jun 02 2016 daviddavid <daviddavid> 3.2.2-14.git20160518.2.mga6
+ Revision: 1019800
- rebuild for wxgtk3.0 built with GTK2

* Fri May 20 2016 daviddavid <daviddavid> 3.2.2-14.git20160518.1.mga6
+ Revision: 1017170
- new snapshot: 3.2.2-git20160518
  * commit: b118fe7e7a5c37540e2f0aa75af105e272bad234
- add an upstream patch to fix missing AM_GNU_GETTEXT_VERSION macro
- add BR pkgconfig(uchardet)

* Fri May 13 2016 shlomif <shlomif> 3.2.2-13.mga6
+ Revision: 1014872
- Rebuild for new ICU

* Thu Apr 21 2016 tv <tv> 3.2.2-12.mga6
+ Revision: 1004213
- rebuid for libhunspell 1.4

* Thu Jan 14 2016 pterjan <pterjan> 3.2.2-11.mga6
+ Revision: 922915
- Disable on ARMv5

* Fri Jan 01 2016 luigiwalser <luigiwalser> 3.2.2-10.mga6
+ Revision: 917816
- rebuild for icu

* Fri Dec 25 2015 daviddavid <daviddavid> 3.2.2-9.mga6
+ Revision: 914607
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 daviddavid <daviddavid> 3.2.2-8.mga6
+ Revision: 883443
- rebuild for new boost 1.59.0
- introduce license macro

* Sun Sep 06 2015 daviddavid <daviddavid> 3.2.2-7.mga6
+ Revision: 873233
- rebuild with gcc 5.2.1

* Fri Aug 14 2015 ycantin <ycantin> 3.2.2-6.mga6
+ Revision: 864689
- rebuild for new wxgtk built with wxRE_ADVANCED

* Fri Jul 31 2015 daviddavid <daviddavid> 3.2.2-5.mga6
+ Revision: 859482
- rebuild for new boost-1.58.0

* Sat Jul 25 2015 daviddavid <daviddavid> 3.2.2-4.mga6
+ Revision: 857246
- rebuild for icu 55

* Wed Jul 22 2015 daviddavid <daviddavid> 3.2.2-3.mga6
+ Revision: 856205
- rebuild for new wxgtk built with gtk3

* Sat Jun 20 2015 daviddavid <daviddavid> 3.2.2-2.mga6
+ Revision: 836933
- rebuild for new ffms2

* Thu Dec 11 2014 daviddavid <daviddavid> 3.2.2-1.mga5
+ Revision: 802755
- new version: 3.2.2

* Sun Oct 19 2014 daviddavid <daviddavid> 3.2.1-1.mga5
+ Revision: 791892
- new version: 3.2.1

* Wed Oct 15 2014 umeabot <umeabot> 3.2.0-4.mga5
+ Revision: 750322
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.0-3.mga5
+ Revision: 677705
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 daviddavid <daviddavid> 3.2.0-2.mga5
+ Revision: 666026
- bump release

* Mon Aug 04 2014 daviddavid <daviddavid> 3.2.0-1.mga5
+ Revision: 659670
- switch to latest version of lua5.2 as it is now supported
- remove unneeded FIXME for correct assignment of rights of desktop file as it is now fixed upstream
- new version: 3.2.0

* Fri Apr 11 2014 daviddavid <daviddavid> 3.1.3-1.mga5
+ Revision: 613500
- remove unneeded BR
- new version: 3.1.3

* Mon Apr 07 2014 daviddavid <daviddavid> 3.1.2-1.mga5
+ Revision: 612680
- imported package aegisub


* Mon Apr 18 2011 Funda Wang <fwang@mandriva.org> 2.1.8-1mdv2011.0
+ Revision: 655831
- build target
- build with system ass
- cleanup old patches and file list
- fix linkage
- 2.1.8

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 2.1.6-0.2618.2mdv2010.0
+ Revision: 436629
- rebuild

* Sat Jan 03 2009 Adam Williamson <awilliamson@mandriva.org> 2.1.6-0.2618.1mdv2009.1
+ Revision: 324037
- import aegisub


